package global

import (
	"context"
	"electricity_bill_calc/config"
	"fmt"

	"github.com/rueian/rueidis"
)

var (
	Rd  rueidis.Client
	Ctx = context.Background()
)

func SetupRedisConnection() error {
	var err error
	a := fmt.Sprintf("%s:%d", config.RedisSettings.Host, config.RedisSettings.Port)
	fmt.Println(a)
	Rd, err = rueidis.NewClient(rueidis.ClientOption{
		InitAddress:  []string{"192.168.88.129:6379"},
		Password:     "123456",
		SelectDB:     config.RedisSettings.DB,
		DisableCache: true,
	})
	if err != nil {
		return err
	}
	pingCmd := Rd.B().Ping().Build()
	result := Rd.Do(Ctx, pingCmd)
	if result.Error() != nil {
		return result.Error()
	}
	return nil
}
